Bug 758958 - (ghc-simple-sendfile) Review Request: ghc-simple-sendfile - Cross-platform sendfile system call
Review Request: ghc-simple-sendfile - Cross-platform sendfile system call
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ghc-warp
  Show dependency treegraph
 
Reported: 2011-11-30 23:03 EST by Jens Petersen
Modified: 2011-12-28 17:20 EST (History)
5 users (show)

See Also:
Fixed In Version: ghc-simple-sendfile-0.1.3-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-28 17:20:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2011-11-30 23:03:54 EST
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-simple-sendfile/ghc-simple-sendfile.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-simple-sendfile/ghc-simple-sendfile-0.1.3-1.fc16.src.rpm
Description: Network sendfile library optimised for minimal system calls

Needed by the warp webserver library.

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3554849
Comment 1 Narasimhan 2011-12-03 01:04:27 EST
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint  -i ghc-simple-sendfile-0.1.3-1.fc15.src.rpm ghc-simple-sendfile-devel-0.1.3-1.fc15.x86_64.rpm ghc-simple-sendfile-0.1.3-1.fc15.x86_64.rpm ../ghc-simple-sendfile.spec 
ghc-simple-sendfile.src: W: spelling-error %description -l en_US minimumize -> minimize, minimum, feminize
The value of this tag appears to be misspelled. Please double-check.

ghc-simple-sendfile-devel.x86_64: W: spelling-error %description -l en_US minimumize -> minimize, minimum, feminize
The value of this tag appears to be misspelled. Please double-check.

ghc-simple-sendfile.x86_64: W: spelling-error %description -l en_US minimumize -> minimize, minimum, feminize
The value of this tag appears to be misspelled. Please double-check.

3 packages and 1 specfiles checked; 0 errors, 3 warnings.

Spelling error needs to be corrected.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK. BSD license.
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.
md5sum ghc-simple-sendfile-0.1.3-1.fc16.src/simple-sendfile-0.1.3.tar.gz 
40ea33dd251b6a59da2f4ecb6e366c45  ghc-simple-sendfile-0.1.3-1.fc16.src/simple-sendfile-0.1.3.tar.gz
md5sum simple-sendfile-0.1.3.tar.gz 
40ea33dd251b6a59da2f4ecb6e366c45  simple-sendfile-0.1.3.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides.
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissable content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: Header files must be in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
rpm -e ghc-simple-sendfile
error: Failed dependencies:
        ghc(simple-sendfile-0.1.3) = dad3609694e5c7e9a1a965692a4d1c5e is needed by (installed) ghc-simple-sendfile-devel-0.1.3-1.fc15.x86_64
        ghc-simple-sendfile = 0.1.3-1.fc15 is needed by (installed) ghc-simple-sendfile-devel-0.1.3-1.fc15.x86_64
[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the packages. Imported Network.Sendfile into ghci. Loads fine
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.
Comment 2 Jens Petersen 2011-12-15 04:43:11 EST
Thank you for reviewing.

New Package SCM Request
=======================
Package Name: ghc-simple-sendfile
Short Description: Cross-platform sendfile system call
Owners: petersen
Branches: f16 f15 el6
InitialCC: haskell-sig
Comment 3 Jon Ciesla 2011-12-15 08:01:22 EST
Git done (by process-git-requests).
Comment 4 Jens Petersen 2011-12-15 21:29:44 EST
Thanks I fixed the typo after importing.
Comment 5 Fedora Update System 2011-12-15 21:47:57 EST
ghc-simple-sendfile-0.1.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-simple-sendfile-0.1.3-1.fc15
Comment 6 Fedora Update System 2011-12-15 21:48:05 EST
ghc-simple-sendfile-0.1.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-simple-sendfile-0.1.3-1.fc16
Comment 7 Fedora Update System 2011-12-16 14:59:00 EST
ghc-simple-sendfile-0.1.3-1.fc15 has been pushed to the Fedora 15 testing repository.
Comment 8 Fedora Update System 2011-12-28 17:20:37 EST
ghc-simple-sendfile-0.1.3-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 9 Fedora Update System 2011-12-28 17:20:46 EST
ghc-simple-sendfile-0.1.3-1.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.